• Welcome to Simple Machines Community Forum. Please login or sign up.

Biete Erfolgsprämie :-) für Umstellung von 2.0.18 auf 2.1RC4

Started by FredHH21, October 19, 2021, 08:50:46 AM

Previous topic - Next topic

FredHH21

Ich sitze jetzt seit Samstag dabei und bekomme es nicht hin.

Was habe ich bisher gemacht:
Ich habe eine komplette Kopie meines Forum-Ordners und einen Datebankexport.

1) Versuch
2.1RC Upgrade Dateien per FTP direkt über die vorhandene Installation laufen lassen.
upgrade.php gestarte
Einige Fehlermeldungen wg. "german" ...

Resultat: Forum danach nur "leere" Seite  / HTTP 500

Alles wieder zurück.

2. bis x. Versuch ( nicht mehr gezählt )

Unterordner im Forums-Ordner "test"
Komplettes Forum dort hinkopiert
Neue DB angelegt
mit repair_settings die korrekte Pfade eingetragen
DB-Datensicherung eingespielt

Forum läuft, dann upgrade identisch zu "Versuch  1)"
Resultat: Forum danach nur "leere" Seite  / HTTP 500

Irgendwie hat es EIN EINZIGES mal funktioniert, dort gab es dann nur Probleme mit den Umlauten.
Leider hatte ich diese Version dann gelöscht, weil ich es erneut genauso machen wollte.

Hat aber nie wieder geklappt.

Letzte Versuche ( mehrfach )
Neuer Ornder
altes Forum
repair_settings
alles läuft
Dann Upgrade, nach dem ersten Anmelden im upgrade.php nur noch leere Seite und das wars

Im nachhinein fällt mir auf, dass IMMER die Settings.php leer ist ( bzw. nur der neue Kopf von 2.1 drin steht)

Als Entwickler bin ich nicht ganz blöde, aber sich mal eben da reinarbeiten schaffe ich nicht.


Vielleicht traut sich ja jemand zu, per TeamViewer auf mein System + Telefon die Umstellung erfolgreich mit Umlauten hinzubekommen.









wintstar

Das Sprachpaket von smf 2.0.18 kann man nicht für 2.1 verwenden. Vielleicht ist das der Fehler.
Verwende die Sprachpakete für 2.1 RC4 https://download.simplemachines.org/index.php?languages

Falls du Modifikationen in deinem 2.0.18 Forum hattest musst du diese deinstallieren und schauen ob es diese auch schon für 2.1 gibt.

Wenn du kompatible Modifikationen für 2.1 installiert hast, prüfe die Änderungen in den 2.1 Sprachdateien, ob die dort auch gemacht wurden.

Prüfe auch ob alle Änderungen in der Settings.php in deinem 2.1 Forum beim Upgrade gemacht wurden.
Schau hier https://www.stephan-frank.de/board/index.php/topic,11.msg34.html#msg34
Regards Stephan

,,In order for the possible to come into being, the impossible must be attempted again and again."
Hermann Hesse (1877-1962)

My HomepageMy Board - My Atelier

m4z

Quote from: FredHH21 on October 19, 2021, 08:50:46 AMIrgendwie hat es EIN EINZIGES mal funktioniert, dort gab es dann nur Probleme mit den Umlauten.
Leider hatte ich diese Version dann gelöscht, weil ich es erneut genauso machen wollte.

Ah, dann ignorier meine letzte Antwort.
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

m4z

Quote from: FredHH21 on October 19, 2021, 08:50:46 AMResultat: Forum danach nur "leere" Seite  / HTTP 500

Hast du über dein Hosting-Adminpanel Zugriff auf die Error-Logs des Webservers und kannst die Ursache herausfinden?


PS: Von welcher 2.0.x-Minorversion versuchst du die Umstellung?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Advertisement: